﻿using System;
using System.Collections.Generic;
using System.Data.Entity;
using System.Diagnostics;
using System.Linq;
using System.Web;
using Games.Entities;

namespace Games.Web.DataProviders
{
    public class GamesDbContext : DbContext, IGamesDataProvider
    {
        public GamesDbContext()
            : base("DefaultConnection")
        {
            Database.Log = log => Debug.WriteLine(log, "GamesDbContext");
        }

        public DbSet<Game> Games { get; set; }

        public DbSet<Studio> Studios { get; set; }

        IQueryable<Game> IGamesDataProvider.Games
        {
            get
            {
                return Games;
            }
        }

        IQueryable<Studio> IGamesDataProvider.Studios
        {
            get
            {
                return Studios;
            }
        }
    }
}