namespace Games.Web.DataProviders.IdentityDbMigrations
{
    using System;
    using System.Data.Entity.Core;
    using System.Data.Entity.Migrations;
    using System.Linq;
    using Microsoft.AspNet.Identity.EntityFramework;
    using Models;

    internal sealed class IdentitiesDbConfiguration : DbMigrationsConfiguration<IdentitiesDbContext>
    {
        public IdentitiesDbConfiguration()
        {
            AutomaticMigrationsEnabled = true;
            MigrationsDirectory = @"DataProviders\IdentityDbMigrations";
        }

        protected override void Seed(IdentitiesDbContext context)
        {
            var manager = new ApplicationUserManager(new UserStore<ApplicationUser>(context));

            if (!context.Users.Any())
            {
                const string EMAIL = "test@test.cz";
                const string PASSWORD = "Test-123";

                var result = manager.CreateAsync(new ApplicationUser()
                {
                    Email = EMAIL,
                    UserName = EMAIL
                }, PASSWORD)
                .Result;

                if(!result.Succeeded)
                {
                    throw new EntityCommandExecutionException(String.Join(Environment.NewLine, result.Errors));
                }
            }
        }
    }
}
